#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	IO
%define		pnam	Interface
Summary:	IO::Interface - Perl extension to access interface information
Summary(pl.UTF-8):	IO::Interface - rozszerzenie Perla do dostępu do informacji o interfejsach
Name:		perl-IO-Interface
Version:	1.09
Release:	2
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	806f97aff5a7361b6f54cd494f4cc9fd
URL:		https://metacpan.org/release/IO-Interface
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Interface adds methods to IO::Socket objects that allows them to
be used to retrieve and change information about the network
interfaces on your system.  In addition to the object-oriented access
methods, you can use a function-oriented style.

%description -l pl.UTF-8
IO::Interface dodaje do obiektów IO::Socket metody pozwalające na
używanie ich do pobierania i zmiany informacji o interfejsach
sieciowych w systemie. Oprócz metod zorientowanych obiektowo można
używać także wywołań zorientowanych na funkce.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	--config optimize='%{rpmcflags}' \
	--installdirs=vendor

./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install \
	--destdir $RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/IO/Interface/*.bs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorarch}/IO/Interface.pm
%dir %{perl_vendorarch}/IO/Interface
%{perl_vendorarch}/IO/Interface/Simple.pm
%dir %{perl_vendorarch}/auto/IO/Interface
%attr(755,root,root) %{perl_vendorarch}/auto/IO/Interface/Interface.so
%{_mandir}/man3/IO::Interface*.3pm*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Interface.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> f2d75f5
- rebuild with perl 5.32

* Fri Oct 09 2020 Jakub Bogusz <qboosh@pld-linux.org> e0b4751
- updated to 1.09

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 9bfb6da
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 8fc9647
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> d56c016
- updated to 1.08

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9fd103d
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 51e6e70
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a1aa8a2
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8191940
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 3a0f50d
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> ca6eef6
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3d06388
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 018632b
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 301cc0e
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> dd66605
- up to 1.06

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 43f5ee3
- rel 4

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> c1178b8
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f8bd68
- release 2

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 7dff442
- updated to 1.05

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 80416b2
- release 2

